<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@6001=90</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@6228=07</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@1E48</action>
      <action>temp1 =maincpu.mb@1E49</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1E48=D6</action>
      <action>maincpu.mb@1E49=1E</action> <!-- This does the same thing as changing 1E4B from RET NZ to RET - driver uses encrypted opcodes. -->
    </script>
    <script state="off">
      <action>maincpu.mb@1E48=temp0 </action>
      <action>maincpu.mb@1E49=temp1 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
